summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-27 12:27:45 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-27 12:27:45 +0000
commita8f9747c0a14da794b34d117dd8b633e719f013a (patch)
tree89fcd967e66ed20935895d205c2e3c8a11d1f2a0 /dev-python
parente50ee60a4de7335250e3cfbde9d0e6deb8bbf7bd (diff)
downloadbaldeagleos-repo-a8f9747c0a14da794b34d117dd8b633e719f013a.tar.gz
baldeagleos-repo-a8f9747c0a14da794b34d117dd8b633e719f013a.tar.xz
baldeagleos-repo-a8f9747c0a14da794b34d117dd8b633e719f013a.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.16.5.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.19.5.ebuild59
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-5.38.1.ebuild63
6 files changed, 181 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 1382a6ca1378..f20a69cb8f68 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,3 +6,4 @@ DIST boto3-1.16.1.tar.gz 337145 BLAKE2B 553b20514d268be967b80cab9694085d8cd34562
DIST boto3-1.16.2.tar.gz 337212 BLAKE2B ebde42cf6b6fec3f00df6cf7e9f8769a2a8295aba0960708d4fb97b0cea4ed68ca5ea698b42485c94dacf0dfbca2fefe12ed878d027eeccee53fdf844afab48e SHA512 305dbbbf5beba3503ae3c4f6ad02ecd7cd55057d19c5c8081dbbb00a620e4a4a1dc55df111e5078ed8172d706f9f868675cd110024d0a8303fba7bf1195cd9cc
DIST boto3-1.16.3.tar.gz 337217 BLAKE2B f088b596561156823a8caa5b0053688bdac8bdf3f2a54ff0bfd3724fe563493a681c4a16c5a85f990d3edad6c31cb1f0ec7a1fd01deb325a30a1623cc0f1439e SHA512 7bb5ac693a6a0a938c4c83e94cb82dc02fed5edd4709f28961f7123103b38ffb24975c7861d50ebe773fb318f7225442911c8c55b7a621301f270a25f796f104
DIST boto3-1.16.4.tar.gz 337331 BLAKE2B 2b8e43617aea15ec041b1d60647852e80929e78fc8c9aef3168f235cf14a41d48490dc8ae0dec42ad98c5776476a3b5502f232477e652bd7c502deda34b50efb SHA512 e63e1eb87ed291989386ca33d5bfacd05d13ae49fb1c7dbfd6a57c3affbaa5a4f17c690ecaa113a9638488ffa90e545c858ac054f0d43caa23288a7d944e3bcb
+DIST boto3-1.16.5.tar.gz 337358 BLAKE2B 7bfe739ca601192adfbee3e13a6ac5490c547ba0b99f17e2ca3622fd07b20c8317c0dd19220a38e27e1ffed4cbc61c35bbf2e83756a3c3fd6894f4dee09ac0d4 SHA512 d7b85a5910754437d1bfdae20d8964ae1fc48d5ccc4b97aac343aec91bae45c4eca4ca0b014d0dec8ace172bf3b7aa5ed5b36652cdbeb6f07b36af344c29eca8
diff --git a/dev-python/boto3/boto3-1.16.5.ebuild b/dev-python/boto3/boto3-1.16.5.ebuild
new file mode 100644
index 000000000000..12584b2fba42
--- /dev/null
+++ b/dev-python/boto3/boto3-1.16.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index a99c84cc2889..591f3edaa99f 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -6,3 +6,4 @@ DIST botocore-1.19.1.tar.gz 6944577 BLAKE2B ade1c8c3318971f25220d2c5bf82879d9a1c
DIST botocore-1.19.2.tar.gz 6949309 BLAKE2B 0d13155e32bc44578df8b372ccdceddc13d5012696245f441e0b935c0a58c8f78e38c9aabe03e242159cbc45d8034fe1bfaffc545ce5d2d95aa2a765c778e36a SHA512 88486e813e476b789b7c0b9fa74bc95ac2a67818439f2ff2564fe30c988ec0fb9be8a2f9c2ebce9418d1eeda4c88c94d6d3ec37cec185d48a388577fc2458c88
DIST botocore-1.19.3.tar.gz 6950797 BLAKE2B f8f97e699e9b31cf56d8a35ff75831e9c545abe1980e4e4af3453c83be6ff6efa51fb9368e984fc871bd1123df283940d42c7adced672bdf21d7a13c3bc6f9b1 SHA512 8eaf72543c5a5e2e4a08cc6998c71971ee9e70d476e384b66472ec2f16d204ae70056925bba1e1476fd55a272750e4907a617e38a96e1b4324e172081a9c1b54
DIST botocore-1.19.4.tar.gz 6952148 BLAKE2B 96865c9d3a7d1429a6894a7cc06ed755d1f8ae5048ac32474bd1e8aeca210cbe5bdcd036d08883d95064f092c5123e774f2dc27f491baaaea867210702dfc11c SHA512 486280528c45937a20f6202bcde8f039d163dc612aeee6cb1bff177fa7ceb38c1143d421f29fc66cc9ac450a554bf843b5799607d16775a517853a62b77bb450
+DIST botocore-1.19.5.tar.gz 6962056 BLAKE2B 261be573224ec07930f4f833193bae78d5bcdbeef37aededded7fee5717a595d52f7ef63d6e866a69f2d36d55cc0e8b81f962f2b9b6834867820a60acf454b14 SHA512 bb8d248d2d1e7753f67bedb57526d563b217799b70b9382fa908ab91e889fceffbf7fc4ca150a7e2740a3034cbfecaf0026cb5dcac1a38786bda97c3209feca4
diff --git a/dev-python/botocore/botocore-1.19.5.ebuild b/dev-python/botocore/botocore-1.19.5.ebuild
new file mode 100644
index 000000000000..ef5dd742ea0c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.19.5.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 4c9e8b1a5738..11011daad8d9 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -4,3 +4,4 @@ DIST hypothesis-python-5.36.2.tar.gz 9088227 BLAKE2B 578c28d045f3b3f288d43765d55
DIST hypothesis-python-5.37.4.tar.gz 9092324 BLAKE2B 95ea82c1a64eaa63f0dc662a9c34a51245dc5ebdd95faffe336bce64f02947031e4b8b09eccf45cdb1f5ba851cbc66bcb0baeab74063b9572527c7b3159abd71 SHA512 7eb5299bb9a3206773dda56f560e6ec41f49d052b03782e1c10cd2d5fd62dd8757ccd7ba201612769c8ee5326602af5f1ae1bc0626d88b1f30bae0c610fd42be
DIST hypothesis-python-5.37.5.tar.gz 9092380 BLAKE2B b5bf9f5c5bb1002154ea6041c38b727e926ae65641a05ddd2bfe919fdb7b6457963ddcc5bf1d57a929c57a3912b15a13c52b4568708348f4f308146cf64caa61 SHA512 ddf2db9d8f9318b0b3ae872fdfebbc4ac8376a86816e7c9a0350738a68a4e3adbe41aaf19a8f54471f551542f3252172cc34f5bc140483989ef8c04c5735f044
DIST hypothesis-python-5.38.0.tar.gz 9092764 BLAKE2B ec805c3df17af88e122e9a462c73768b67d420172d72c088add8056b8de64606a8e6c01f82a0ca4fd05520444482e10b488b4ccf2b78b951288c4e1827e1ce12 SHA512 2a4e57ace3c6487598353bd40a9295d8dd05c6b18493d61674bbb403a4bbd863c43af683b59da990cc5add5dedc789462337140c4d2ed7d2c16567fb254261ff
+DIST hypothesis-python-5.38.1.tar.gz 9093201 BLAKE2B 093b847524ca1a4a7ec4172585d8cbdc63820165f367a7f5782c0e94ed190f9f271fe0d76f570a5ab95d794951260b93cb4114ac090b56bcdf904e988c00c4c5 SHA512 26db08680464710246bfa3a3dfddbe41e9480e4ce2a50bf75597aa96efe8976d3b7bcf639e2efe9a8bfec64bdfef3fec14093e14cbe8db3f1cf5dafe813a91a0
diff --git a/dev-python/hypothesis/hypothesis-5.38.1.ebuild b/dev-python/hypothesis/hypothesis-5.38.1.ebuild
new file mode 100644
index 000000000000..31c848539467
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-5.38.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="cli test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{6..9})
+ )
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-5.3.5[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+python_prepare() {
+ if ! use cli || [[ ${EPYTHON} != python* ]]; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ pytest -vv tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}